<template>
    <div class="star" @mouseover="$emit('onHover')" @click="$emit('onClick')">
        <svg
            width="32"
            height="29"
            viewBox="0 0 32 29"
            :fill="active ? '#FFE47D' : 'transparent'"
            xmlns="http://www.w3.org/2000/svg"
        >
            <path
            d="M15.5245 1.08156C15.6741 0.620902 16.3259 0.620908 16.4755 1.08156L19.3412 9.90122C19.542 10.5193 20.118 10.9377 20.7678 10.9377H30.0413C30.5257 10.9377 30.7271 11.5575 30.3352 11.8422L22.8328 17.2931C22.307 17.675 22.0871 18.3521 22.2879 18.9701L25.1535 27.7898C25.3032 28.2504 24.776 28.6335 24.3841 28.3488L16.8817 22.8979C16.3559 22.516 15.6441 22.516 15.1183 22.8979L7.61587 28.3488C7.22401 28.6335 6.69678 28.2504 6.84645 27.7898L9.71213 18.9701C9.91294 18.3521 9.69296 17.675 9.16722 17.2931L1.66477 11.8422C1.27292 11.5575 1.47431 10.9377 1.95867 10.9377H11.2322C11.882 10.9377 12.458 10.5193 12.6588 9.90122L15.5245 1.08156Z"
            stroke="#FFDC56"
            />
        </svg>
    </div>
</template>

<script>
export default {
    props: ['active'],
}
</script>


<style scoped lang="scss">
.star {
    // width: 36px; 
    cursor: pointer;
    height: 36px;
    display: flex;
    align-items: center;
    justify-content: center;
}
</style>